=== debian/changelog ===
freebsd-smbfs (9.0~svn227117-2) unstable; urgency=low

  * Provide "smbfs".
  * Add "smbutil".

 -- Robert Millan <rmh@debian.org>  Sat, 12 Nov 2011 01:34:05 +0100

freebsd-smbfs (9.0~svn227117-1) unstable; urgency=low

  * Initial release.

 -- Robert Millan <rmh@debian.org>  Sun, 06 Nov 2011 13:00:02 +0100
