=== debian/control ===
Source: freebsd-smbfs
Section: otherosfs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 freebsd-buildutils,
 kfreebsd-kernel-headers (>= 0.59),
 libkiconv-dev,
 libbsd-dev,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-smbfs/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-smbfs/
Standards-Version: 3.9.2

Package: freebsd-smbfs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: smbfs
Description: mount command for the SMB/CIFS filesystem
 This is native SMB/CIFS filesystem (smbfs for short) for GNU/kFreeBSD.
