## freebsd-smbfs 10.1~svn272500

=== lib/libsmb/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # $FreeBSD$
+
+.include <bsd.own.mk>
 
 CONTRIBDIR=	${.CURDIR}/../../contrib/smbfs
 .PATH: ${CONTRIBDIR}/lib/smb
@@ -16,4 +18,8 @@
 WARNS?=	1
 CFLAGS+= -DSMB_CFG_FILE=\"/etc/nsmb.conf\" -I${CONTRIBDIR}/include
 
+.if ${MK_ICONV} != "no"
+CFLAGS+= -DHAVE_ICONV=1
+.endif
+
 .include <bsd.lib.mk>
