=== debian/changelog ===
freebsd-smbfs (10.1~svn272500-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream snapshot of 10.1-RC1

  [ Steven Chamberlain ]
  * Add myself to uploaders
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches

  [ Christoph Egger ]
  * Upload to unstable

 -- Petr Salinger <Petr.Salinger@seznam.cz>  Sat,  4 Oct 2014 20:05:11 +0200

freebsd-smbfs (10.1~svn271306-1) experimental; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-PRERELEASE
  * Build-Depends on current kfreebsd-kernel-headers
  * Remove patch smbutil.diff applied upstream:
  * makefile.diff: refresh patch, drop unnecessary -ldl
  * strings.diff: new patch;  fix implicit declaration of strcmp due to
    possible typo

 -- Christoph Egger <christoph@debian.org>  Sat, 20 Sep 2014 18:19:34 -0700

freebsd-smbfs (9.0~svn227117-3) unstable; urgency=low

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.

  [ Robert Millan ]
  * Fetch source code securely (https) in get-orig-source.
  * Remove obsolete getvfsbyname.diff (getvfsbyname() is now provided by
    glibc).
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Dec 2013 21:00:51 +0100
