=== debian/control ===
Source: freebsd-smbfs
Section: otherosfs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Robert Millan <rmh@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 7.0.50~),
 freebsd-buildutils,
 kfreebsd-kernel-headers (>= 10.1~),
 libkiconv-dev,
 libbsd-dev,
 libc0.1-dev (>= 2.13-8),
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-smbfs/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-smbfs/
Standards-Version: 3.9.2

Package: freebsd-smbfs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: smbfs
Description: mount command for the SMB/CIFS filesystem
 This is native SMB/CIFS filesystem (smbfs for short) for GNU/kFreeBSD.
