=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,13 @@
 	CFLAGS += -O2
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+
+	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
+	BSD_MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
 tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
 svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
@@ -26,10 +33,10 @@
 major           := $(shell echo $(version) | sed -e 's/\..*//g')
 revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
 
-#SVN		:= http://svn.freebsd.org/base/release/$(version).0
-#SVN		:= http://svn.freebsd.org/base/releng/$(version)
-SVN		:= http://svn.freebsd.org/base/stable/$(major)
-#SVN		:= http://svn.freebsd.org/base/head
+#SVN		:= https://svn0.us-west.freebsd.org/base/release/$(version).0
+#SVN		:= https://svn0.us-west.freebsd.org/base/releng/$(version)
+SVN		:= https://svn0.us-west.freebsd.org/base/stable/$(major)
+#SVN		:= https://svn0.us-west.freebsd.org/base/head
 
 SOURCE = freebsd-smbfs
 ORIGDIR = $(SOURCE)-$(tar_version)
@@ -37,7 +44,9 @@
 
 PATH := /usr/lib/freebsd:$(PATH)
 DESTDIR = $(CURDIR)/debian/tmp
-PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
+PMAKE = \
+	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
         NOSHARED=NO NO_SHARED=NO DESTDIR=$(DESTDIR) make
 
 get-orig-source:
@@ -51,7 +60,7 @@
 		sbin/mount/{getmntopts.c,mntopts.h} \
 		etc/nsmb.conf \
 	; do \
-	    svn export $(SVN)/$$i -r $(svn_revision) $(ORIGDIR)/$$i ; \
+	    svn export --ignore-keywords $(SVN)/$$i -r $(svn_revision) $(ORIGDIR)/$$i ; \
 	done
 	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
 	rm -rf $(ORIGDIR)
